Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class JComponentOperator

    java.lang.Object
      |
      +--org.netbeans.jemmy.operators.Operator
            |
            +--org.netbeans.jemmy.operators.ComponentOperator
                  |
                  +--org.netbeans.jemmy.operators.ContainerOperator
                        |
                        +--org.netbeans.jemmy.operators.JComponentOperator

All Implemented Interfaces:
  Outputable, Timeoutable

Direct Known Subclasses:
  AbstractButtonOperator, JColorChooserOperator, JComboBoxOperator, JFileChooserOperator, JInternalFrameOperator, JInternalFrameOperator.JDesktopIconOperator, JLabelOperator, JListOperator, JMenuBarOperator, JPopupMenuOperator, JProgressBarOperator, JScrollBarOperator, JScrollPaneOperator, JSliderOperator, JSpinnerOperator, JSplitPaneOperator, JTabbedPaneOperator, JTableHeaderOperator, JTableOperator, JTextComponentOperator, JTreeOperator

public class JComponentOperator
extends ContainerOperator
implements Timeoutable, Outputable

Timeouts used:
JComponentOperator.WaitToolTipTimeout - time to wait tool tip displayed
JComponentOperator.ShowToolTipTimeout - time to show tool tip
ComponentOperator.WaitComponentTimeout - time to wait component displayed
.

Author:
  Alexandre Iline (alexandre.iline@sun.com)
See Also:
  `Timeouts`

Inner Class Summary
`static class` | `JComponentOperator.JComponentByTipFinder` Allows to find component by tooltip.
`static class` | `JComponentOperator.JComponentFinder` Checks component type.

Inner classes inherited from class org.netbeans.jemmy.operators.ContainerOperator
`ContainerOperator.ContainerFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.Operator
`Operator.ComponentVisualizer, Operator.DefaultPathParser, Operator.DefaultStringComparator, Operator.Finder, Operator.MapAction, Operator.MapBooleanAction, Operator.MapByteAction, Operator.MapCharacterAction, Operator.MapDoubleAction, Operator.MapFloatAction, Operator.MapIntegerAction, Operator.MapLongAction, Operator.MapVoidAction, Operator.NoBlockingAction, Operator.PathParser, Operator.StringComparator`

Field Summary
`static java.lang.String` | `TOOLTIP_TEXT_DPROP` Identifier for a "tooltip text" property.

Fields inherited from class org.netbeans.jemmy.operators.ComponentOperator
`HEIGHT_DPROP, IS_SHOWING_DPROP, IS_VISIBLE_DPROP, WIDTH_DPROP, X_DPROP, Y_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.Operator
`CLASS_DPROP, TO_STRING_DPROP`

Constructor Summary
`JComponentOperator(ContainerOperator cont)` Constructor.
`JComponentOperator(ContainerOperator cont, ComponentChooser chooser)` Constructs a JComponentOperator object.
`JComponentOperator(ContainerOperator cont, ComponentChooser chooser, int index)` Constructs a JComponentOperator object.
`JComponentOperator(ContainerOperator cont, int index)` Constructor.
`JComponentOperator(javax.swing.JComponent b)` Constructor.

Method Summary
`void` | `addAncestorListener(javax.swing.event.AncestorListener ancestorListener)` Maps `JComponent.addAncestorListener(AncestorListener)` through queue
`void` | `addVetoableChangeListener(java.beans.VetoableChangeListener vetoableChangeListener)` Maps `JComponent.addVetoableChangeListener(VetoableChangeListener)` through queue
`void` | `computeVisibleRect(java.awt.Rectangle rectangle)` Maps `JComponent.computeVisibleRect(Rectangle)` through queue
`javax.swing.JToolTip` | `createToolTip()` Maps `JComponent.createToolTip()` through queue
`static javax.swing.JComponent` | `findJComponent(java.awt.Container cont, ComponentChooser chooser)` Searches 0'th JComponent in container.
`static javax.swing.JComponent` | `findJComponent(java.awt.Container cont, ComponentChooser chooser, int index)` Searches JComponent in container.
`static javax.swing.JComponent` | `findJComponent(java.awt.Container cont, java.lang.String toolTipText, boolean ce, boolean ccs)` Searches JComponent by tooltip text.
`static javax.swing.JComponent` | `findJComponent(java.awt.Container cont, java.lang.String toolTipText, boolean ce, boolean ccs, int index)` Searches JComponent by tooltip text.
`void` | `firePropertyChange(java.lang.String string, boolean b, boolean b1)` Maps `JComponent.firePropertyChange(String, boolean, boolean)` through queue
`void` | `firePropertyChange(java.lang.String string, byte b, byte b1)` Maps `JComponent.firePropertyChange(String, byte, byte)` through queue
`void` | `firePropertyChange(java.lang.String string, char c, char c1)` Maps `JComponent.firePropertyChange(String, char, char)` through queue
`void` | `firePropertyChange(java.lang.String string, double d, double d1)` Maps `JComponent.firePropertyChange(String, double, double)` through queue
`void` | `firePropertyChange(java.lang.String string, float f, float f1)` Maps `JComponent.firePropertyChange(String, float, float)` through queue
`void` | `firePropertyChange(java.lang.String string, int i, int i1)` Maps `JComponent.firePropertyChange(String, int, int)` through queue
`void` | `firePropertyChange(java.lang.String string, long l, long l1)` Maps `JComponent.firePropertyChange(String, long, long)` through queue
`void` | `firePropertyChange(java.lang.String string, short s, short s1)` Maps `JComponent.firePropertyChange(String, short, short)` through queue
`javax.accessibility.AccessibleContext` | `getAccessibleContext()` Maps `JComponent.getAccessibleContext()` through queue
`java.awt.event.ActionListener` | `getActionForKeyStroke(javax.swing.KeyStroke keyStroke)` Maps `JComponent.getActionForKeyStroke(KeyStroke)` through queue
`boolean` | `getAutoscrolls()` Maps `JComponent.getAutoscrolls()` through queue
`javax.swing.border.Border` | `getBorder()` Maps `JComponent.getBorder()` through queue
`int` | `getCenterXForClick()` Return the x coordinate which should be used for mouse operations by default.
`int` | `getCenterYForClick()` Return the y coordinate which should be used for mouse operations by default.
`java.lang.Object` | `getClientProperty(java.lang.Object object)` Maps `JComponent.getClientProperty(Object)` through queue
`int` | `getConditionForKeyStroke(javax.swing.KeyStroke keyStroke)` Maps `JComponent.getConditionForKeyStroke(KeyStroke)` through queue
`int` | `getDebugGraphicsOptions()` Maps `JComponent.getDebugGraphicsOptions()` through queue
`java.util.Hashtable` | `getDump()` Returns information about component.
`java.awt.Insets` | `getInsets(java.awt.Insets insets)` Maps `JComponent.getInsets(Insets)` through queue
`java.awt.Component` | `getNextFocusableComponent()` Maps `JComponent.getNextFocusableComponent()` through queue
`TestOut` | `getOutput()` Returns print output streams or writers.
`javax.swing.KeyStroke[]` | `getRegisteredKeyStrokes()` Maps `JComponent.getRegisteredKeyStrokes()` through queue
`javax.swing.JRootPane` | `getRootPane()` Maps `JComponent.getRootPane()` through queue
`Timeouts` | `getTimeouts()` Return current timeouts.
`java.awt.Point` | `getToolTipLocation(java.awt.event.MouseEvent mouseEvent)` Maps `JComponent.getToolTipLocation(MouseEvent)` through queue
`java.lang.String` | `getToolTipText()` Maps `JComponent.getToolTipText()` through queue
`java.lang.String` | `getToolTipText(java.awt.event.MouseEvent mouseEvent)` Maps `JComponent.getToolTipText(MouseEvent)` through queue
`java.awt.Container` | `getTopLevelAncestor()` Maps `JComponent.getTopLevelAncestor()` through queue
`java.lang.String` | `getUIClassID()` Maps `JComponent.getUIClassID()` through queue
`java.awt.Rectangle` | `getVisibleRect()` Maps `JComponent.getVisibleRect()` through queue
`ContainerOperator` | `getWindowContainerOperator()` Looks for a first window-like container.
`void` | `grabFocus()` Maps `JComponent.grabFocus()` through queue
`boolean` | `isFocusCycleRoot()` Maps `JComponent.isFocusCycleRoot()` through queue
`boolean` | `isManagingFocus()` Maps `JComponent.isManagingFocus()` through queue
`boolean` | `isOptimizedDrawingEnabled()` Maps `JComponent.isOptimizedDrawingEnabled()` through queue
`boolean` | `isPaintingTile()` Maps `JComponent.isPaintingTile()` through queue
`boolean` | `isRequestFocusEnabled()` Maps `JComponent.isRequestFocusEnabled()` through queue
`boolean` | `isValidateRoot()` Maps `JComponent.isValidateRoot()` through queue
`void` | `paintImmediately(int i, int i1, int i2, int i3)` Maps `JComponent.paintImmediately(int, int, int, int)` through queue
`void` | `paintImmediately(java.awt.Rectangle rectangle)` Maps `JComponent.paintImmediately(Rectangle)` through queue
`void` | `putClientProperty(java.lang.Object object, java.lang.Object object1)` Maps `JComponent.putClientProperty(Object, Object)` through queue
`void` | `registerKeyboardAction(java.awt.event.ActionListener actionListener, javax.swing.KeyStroke keyStroke, int i)` Maps `JComponent.registerKeyboardAction(ActionListener, KeyStroke, int)` through queue
`void` | `registerKeyboardAction(java.awt.event.ActionListener actionListener, java.lang.String string, javax.swing.KeyStroke keyStroke, int i)` Maps `JComponent.registerKeyboardAction(ActionListener, String, KeyStroke, int)` through queue
`void` | `removeAncestorListener(javax.swing.event.AncestorListener ancestorListener)` Maps `JComponent.removeAncestorListener(AncestorListener)` through queue
`void` | `removeVetoableChangeListener(java.beans.VetoableChangeListener vetoableChangeListener)` Maps `JComponent.removeVetoableChangeListener(VetoableChangeListener)` through queue
`void` | `repaint(java.awt.Rectangle rectangle)` Maps `JComponent.repaint(Rectangle)` through queue
`boolean` | `requestDefaultFocus()` Maps `JComponent.requestDefaultFocus()` through queue
`void` | `resetKeyboardActions()` Maps `JComponent.resetKeyboardActions()` through queue
`void` | `revalidate()` Maps `JComponent.revalidate()` through queue
`void` | `scrollRectToVisible(java.awt.Rectangle rectangle)` Maps `JComponent.scrollRectToVisible(Rectangle)` through queue
`void` | `setAlignmentX(float f)` Maps `JComponent.setAlignmentX(float)` through queue
`void` | `setAlignmentY(float f)` Maps `JComponent.setAlignmentY(float)` through queue
`void` | `setAutoscrolls(boolean b)` Maps `JComponent.setAutoscrolls(boolean)` through queue
`void` | `setBorder(javax.swing.border.Border border)` Maps `JComponent.setBorder(Border)` through queue
`void` | `setDebugGraphicsOptions(int i)` Maps `JComponent.setDebugGraphicsOptions(int)` through queue
`void` | `setDoubleBuffered(boolean b)` Maps `JComponent.setDoubleBuffered(boolean)` through queue
`void` | `setMaximumSize(java.awt.Dimension dimension)` Maps `JComponent.setMaximumSize(Dimension)` through queue
`void` | `setMinimumSize(java.awt.Dimension dimension)` Maps `JComponent.setMinimumSize(Dimension)` through queue
`void` | `setNextFocusableComponent(java.awt.Component component)` Maps `JComponent.setNextFocusableComponent(Component)` through queue
`void` | `setOpaque(boolean b)` Maps `JComponent.setOpaque(boolean)` through queue
`void` | `setOutput(TestOut out)` Defines print output streams or writers.
`void` | `setPreferredSize(java.awt.Dimension dimension)` Maps `JComponent.setPreferredSize(Dimension)` through queue
`void` | `setRequestFocusEnabled(boolean b)` Maps `JComponent.setRequestFocusEnabled(boolean)` through queue
`void` | `setTimeouts(Timeouts timeouts)` Defines current timeouts.
`void` | `setToolTipText(java.lang.String string)` Maps `JComponent.setToolTipText(String)` through queue
`javax.swing.JToolTip` | `showToolTip()` Showes tool tip.
`void` | `unregisterKeyboardAction(javax.swing.KeyStroke keyStroke)` Maps `JComponent.unregisterKeyboardAction(KeyStroke)` through queue
`void` | `updateUI()` Maps `JComponent.updateUI()` through queue
`static javax.swing.JComponent` | `waitJComponent(java.awt.Container cont, ComponentChooser chooser)` Waits 0'th JComponent in container.
`static javax.swing.JComponent` | `waitJComponent(java.awt.Container cont, ComponentChooser chooser, int index)` Waits JComponent in container.
`static javax.swing.JComponent` | `waitJComponent(java.awt.Container cont, java.lang.String toolTipText, boolean ce, boolean ccs)` Waits JComponent by tooltip text.
`static javax.swing.JComponent` | `waitJComponent(java.awt.Container cont, java.lang.String toolTipText, boolean ce, boolean ccs, int index)` Waits JComponent by tooltip text.
`javax.swing.JToolTip` | `waitToolTip()`

Methods inherited from class org.netbeans.jemmy.operators.ContainerOperator
`add, add, add, add, add, addContainerListener, createSubOperator, createSubOperator, findComponentAt, findComponentAt, findContainer, findContainer, findContainer, findContainer, findContainerUnder, findContainerUnder, findSubComponent, findSubComponent, getComponent, getComponentCount, getComponents, getInsets, getLayout, isAncestorOf, paintComponents, printComponents, remove, remove, removeAll, removeContainerListener, setLayout, waitContainer, waitContainer, waitContainer, waitContainer, waitSubComponent, waitSubComponent`

Methods inherited from class org.netbeans.jemmy.operators.ComponentOperator
`activateWindow, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, checkImage, checkImage, clickForPopup, clickForPopup, clickForPopup, clickForPopup, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, contains, contains, copyEnvironment, createImage, createImage, dispatchEvent, doLayout, dragMouse, dragMouse, dragMouse, dragNDrop, dragNDrop, dragNDrop, enableInputMethods, enterMouse, exitMouse, findComponent, findComponent, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getCenterX, getCenterY, getColorModel, getComponentAt, getComponentAt, getComponentOrientation, getContainer, getContainers, getCursor, getDropTarget, getEventDispatcher, getFocus, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getName, getParent, getPreferredSize, getSize, getSize, getSource, getToolkit, getTreeLock, getWidth, getWindow, getX, getY, hasFocus, imageUpdate, invalidate, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, list, list, list, list, list, makeComponentVisible, moveMouse, paint, paintAll, prepareImage, prepareImage, pressKey, pressKey, pressMouse, pressMouse, print, printAll, pushKey, pushKey, releaseKey, releaseKey, releaseMouse, releaseMouse, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFont, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, transferFocus, typeKey, typeKey, typeKey, update, validate, waitComponent, waitComponent, waitComponent, waitComponent, waitComponentEnabled, waitComponentShowing, waitComponentVisible, waitHasFocus`

Methods inherited from class org.netbeans.jemmy.operators.Operator
`addOperatorPackage, addToDump, addToDump, createOperator, getCharBindingMap, getCharKey, getCharModifiers, getCharsKeys, getCharsKeys, getCharsModifiers, getCharsModifiers, getComparator, getDefaultComponentVisualizer, getDefaultMouseButton, getDefaultPathParser, getDefaultStringComparator, getDefaultVerification, getEnvironmentOperator, getParentPath, getPathParser, getPopupMouseButton, getProperties, getQueueTool, getVerification, getVisualizer, isCaptionEqual, isCaptionEqual, isCaptionEqual, lockQueue, parseString, parseString, printDump, produceNoBlocking, produceNoBlocking, produceTimeRestricted, produceTimeRestricted, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, setCharBindingMap, setComparator, setDefaultComponentVisualizer, setDefaultPathParser, setDefaultStringComparator, setDefaultVerification, setPathParser, setProperties, setVerification, setVisualizer, unlockAndThrow, unlockQueue, waitState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOOLTIP_TEXT_DPROP

    public static final java.lang.String TOOLTIP_TEXT_DPROP

  Identifier for a "tooltip text" property.
  See Also:
    `getDump()`

Constructor Detail

### JComponentOperator

    public JComponentOperator(javax.swing.JComponent b)

  Constructor.
  Parameters:
    `b` - a component

### JComponentOperator

    public JComponentOperator(ContainerOperator cont,
                              ComponentChooser chooser,
                              int index)

  Constructs a JComponentOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.

### JComponentOperator

    public JComponentOperator(ContainerOperator cont,
                              ComponentChooser chooser)

  Constructs a JComponentOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.

### JComponentOperator

    public JComponentOperator(ContainerOperator cont,
                              int index)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - Operator pointing a container to search component in.
    `index` - Ordinal component index.
  Throws:
    `TimeoutExpiredException` -

### JComponentOperator

    public JComponentOperator(ContainerOperator cont)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - Operator pointing a container to search component in.
  Throws:
    `TimeoutExpiredException` -

Method Detail

### findJComponent

    public static javax.swing.JComponent findJComponent(java.awt.Container cont,
                                                        ComponentChooser chooser,
                                                        int index)

  Searches JComponent in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
    `index` - Ordinal component index.
  Returns:
    JComponent instance or null if component was not found.

### findJComponent

    public static javax.swing.JComponent findJComponent(java.awt.Container cont,
                                                        ComponentChooser chooser)

  Searches 0'th JComponent in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
  Returns:
    JComponent instance or null if component was not found.

### findJComponent

    public static javax.swing.JComponent findJComponent(java.awt.Container cont,
                                                        java.lang.String toolTipText,
                                                        boolean ce,
                                                        boolean ccs,
                                                        int index)

  Searches JComponent by tooltip text.
  Parameters:
    `cont` - Container to search component in.
    `toolTipText` - Tooltip text. If null, contents is not checked.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
    `index` - Ordinal component index.
  Returns:
    JComponent instance or null if component was not found.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### findJComponent

    public static javax.swing.JComponent findJComponent(java.awt.Container cont,
                                                        java.lang.String toolTipText,
                                                        boolean ce,
                                                        boolean ccs)

  Searches JComponent by tooltip text.
  Parameters:
    `cont` - Container to search component in.
    `toolTipText` - Tooltip text. If null, contents is not checked.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
  Returns:
    JComponent instance or null if component was not found.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### waitJComponent

    public static javax.swing.JComponent waitJComponent(java.awt.Container cont,
                                                        ComponentChooser chooser,
                                                        int index)

  Waits JComponent in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
    `index` - Ordinal component index.
  Returns:
    JComponent instance or null if component was not found.
  Throws:
    `TimeoutExpiredException` -

### waitJComponent

    public static javax.swing.JComponent waitJComponent(java.awt.Container cont,
                                                        ComponentChooser chooser)

  Waits 0'th JComponent in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
  Returns:
    JComponent instance or null if component was not found.
  Throws:
    `TimeoutExpiredException` -

### waitJComponent

    public static javax.swing.JComponent waitJComponent(java.awt.Container cont,
                                                        java.lang.String toolTipText,
                                                        boolean ce,
                                                        boolean ccs,
                                                        int index)

  Waits JComponent by tooltip text.
  Parameters:
    `cont` - Container to search component in.
    `toolTipText` - Tooltip text. If null, contents is not checked.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
    `index` - Ordinal component index.
  Returns:
    JComponent instance or null if component was not found.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### waitJComponent

    public static javax.swing.JComponent waitJComponent(java.awt.Container cont,
                                                        java.lang.String toolTipText,
                                                        boolean ce,
                                                        boolean ccs)

  Waits JComponent by tooltip text.
  Parameters:
    `cont` - Container to search component in.
    `toolTipText` - Tooltip text. If null, contents is not checked.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
  Returns:
    JComponent instance or null if component was not found.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### setTimeouts

    public void setTimeouts(Timeouts timeouts)

  Description copied from interface: `Timeoutable`
  Defines current timeouts.
  Specified by:
    `setTimeouts` in interface `Timeoutable`
  Overrides:
    `setTimeouts` in class `ContainerOperator`
  Following copied from interface: `org.netbeans.jemmy.Timeoutable`
  Parameters:
    `t` - A collection of timeout assignments.
  See Also:
    `Timeoutable.getTimeouts()`

### getTimeouts

    public Timeouts getTimeouts()

  Description copied from interface: `Timeoutable`
  Return current timeouts.
  Specified by:
    `getTimeouts` in interface `Timeoutable`
  Overrides:
    `getTimeouts` in class `ContainerOperator`
  Following copied from interface: `org.netbeans.jemmy.Timeoutable`
  Returns:
    the collection of current timeout assignments.
  See Also:
    `Timeoutable.setTimeouts(org.netbeans.jemmy.Timeouts)`

### setOutput

    public void setOutput(TestOut out)

  Description copied from interface: `Outputable`
  Defines print output streams or writers.
  Specified by:
    `setOutput` in interface `Outputable`
  Overrides:
    `setOutput` in class `ContainerOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Parameters:
    `out` - Identify the streams or writers used for print output.
  See Also:
    `Outputable.getOutput()`

### getOutput

    public TestOut getOutput()

  Description copied from interface: `Outputable`
  Returns print output streams or writers.
  Specified by:
    `getOutput` in interface `Outputable`
  Overrides:
    `getOutput` in class `ContainerOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Returns:
    an object that contains references to objects for printing to output and err streams.
  See Also:
    `Outputable.setOutput(org.netbeans.jemmy.TestOut)`

### getCenterXForClick

    public int getCenterXForClick()

  Description copied from class: `ComponentOperator`
  Return the x coordinate which should be used for mouse operations by default.
  Overrides:
    `getCenterXForClick` in class `ComponentOperator`
  Following copied from class: `org.netbeans.jemmy.operators.ComponentOperator`
  Returns:
    the center x coordinate of the visible component part.

### getCenterYForClick

    public int getCenterYForClick()

  Description copied from class: `ComponentOperator`
  Return the y coordinate which should be used for mouse operations by default.
  Overrides:
    `getCenterYForClick` in class `ComponentOperator`
  Following copied from class: `org.netbeans.jemmy.operators.ComponentOperator`
  Returns:
    the center y coordinate of the visible component part.

### showToolTip

    public javax.swing.JToolTip showToolTip()

  Showes tool tip.
  Returns:
    JToolTip component.
  Throws:
    `TimeoutExpiredException` -

### waitToolTip

    public javax.swing.JToolTip waitToolTip()

### getWindowContainerOperator

    public ContainerOperator getWindowContainerOperator()

  Looks for a first window-like container.
  Returns:
    either WindowOperator of JInternalFrameOperator

### getDump

    public java.util.Hashtable getDump()

  Description copied from class: `ComponentOperator`
  Returns information about component.
  Overrides:
    `getDump` in class `ComponentOperator`
  Following copied from class: `org.netbeans.jemmy.operators.Operator`
  Returns:
    a Hashtable containing name-value pairs.

### addAncestorListener

    public void addAncestorListener(javax.swing.event.AncestorListener ancestorListener)

  Maps `JComponent.addAncestorListener(AncestorListener)` through queue

### addVetoableChangeListener

    public void addVetoableChangeListener(java.beans.VetoableChangeListener vetoableChangeListener)

  Maps `JComponent.addVetoableChangeListener(VetoableChangeListener)` through queue

### computeVisibleRect

    public void computeVisibleRect(java.awt.Rectangle rectangle)

  Maps `JComponent.computeVisibleRect(Rectangle)` through queue

### createToolTip

    public javax.swing.JToolTip createToolTip()

  Maps `JComponent.createToolTip()` through queue

### firePropertyChange

    public void firePropertyChange(java.lang.String string,
                                   byte b,
                                   byte b1)

  Maps `JComponent.firePropertyChange(String, byte, byte)` through queue

### firePropertyChange

    public void firePropertyChange(java.lang.String string,
                                   char c,
                                   char c1)

  Maps `JComponent.firePropertyChange(String, char, char)` through queue

### firePropertyChange

    public void firePropertyChange(java.lang.String string,
                                   double d,
                                   double d1)

  Maps `JComponent.firePropertyChange(String, double, double)` through queue

### firePropertyChange

    public void firePropertyChange(java.lang.String string,
                                   float f,
                                   float f1)

  Maps `JComponent.firePropertyChange(String, float, float)` through queue

### firePropertyChange

    public void firePropertyChange(java.lang.String string,
                                   int i,
                                   int i1)

  Maps `JComponent.firePropertyChange(String, int, int)` through queue

### firePropertyChange

    public void firePropertyChange(java.lang.String string,
                                   long l,
                                   long l1)

  Maps `JComponent.firePropertyChange(String, long, long)` through queue

### firePropertyChange

    public void firePropertyChange(java.lang.String string,
                                   short s,
                                   short s1)

  Maps `JComponent.firePropertyChange(String, short, short)` through queue

### firePropertyChange

    public void firePropertyChange(java.lang.String string,
                                   boolean b,
                                   boolean b1)

  Maps `JComponent.firePropertyChange(String, boolean, boolean)` through queue

### getAccessibleContext

    public javax.accessibility.AccessibleContext getAccessibleContext()

  Maps `JComponent.getAccessibleContext()` through queue

### getActionForKeyStroke

    public java.awt.event.ActionListener getActionForKeyStroke(javax.swing.KeyStroke keyStroke)

  Maps `JComponent.getActionForKeyStroke(KeyStroke)` through queue

### getAutoscrolls

    public boolean getAutoscrolls()

  Maps `JComponent.getAutoscrolls()` through queue

### getBorder

    public javax.swing.border.Border getBorder()

  Maps `JComponent.getBorder()` through queue

### getClientProperty

    public java.lang.Object getClientProperty(java.lang.Object object)

  Maps `JComponent.getClientProperty(Object)` through queue

### getConditionForKeyStroke

    public int getConditionForKeyStroke(javax.swing.KeyStroke keyStroke)

  Maps `JComponent.getConditionForKeyStroke(KeyStroke)` through queue

### getDebugGraphicsOptions

    public int getDebugGraphicsOptions()

  Maps `JComponent.getDebugGraphicsOptions()` through queue

### getInsets

    public java.awt.Insets getInsets(java.awt.Insets insets)

  Maps `JComponent.getInsets(Insets)` through queue

### getNextFocusableComponent

    public java.awt.Component getNextFocusableComponent()

  Maps `JComponent.getNextFocusableComponent()` through queue

### getRegisteredKeyStrokes

    public javax.swing.KeyStroke[] getRegisteredKeyStrokes()

  Maps `JComponent.getRegisteredKeyStrokes()` through queue

### getRootPane

    public javax.swing.JRootPane getRootPane()

  Maps `JComponent.getRootPane()` through queue

### getToolTipLocation

    public java.awt.Point getToolTipLocation(java.awt.event.MouseEvent mouseEvent)

  Maps `JComponent.getToolTipLocation(MouseEvent)` through queue

### getToolTipText

    public java.lang.String getToolTipText()

  Maps `JComponent.getToolTipText()` through queue

### getToolTipText

    public java.lang.String getToolTipText(java.awt.event.MouseEvent mouseEvent)

  Maps `JComponent.getToolTipText(MouseEvent)` through queue

### getTopLevelAncestor

    public java.awt.Container getTopLevelAncestor()

  Maps `JComponent.getTopLevelAncestor()` through queue

### getUIClassID

    public java.lang.String getUIClassID()

  Maps `JComponent.getUIClassID()` through queue

### getVisibleRect

    public java.awt.Rectangle getVisibleRect()

  Maps `JComponent.getVisibleRect()` through queue

### grabFocus

    public void grabFocus()

  Maps `JComponent.grabFocus()` through queue

### isFocusCycleRoot

    public boolean isFocusCycleRoot()

  Maps `JComponent.isFocusCycleRoot()` through queue

### isManagingFocus

    public boolean isManagingFocus()

  Maps `JComponent.isManagingFocus()` through queue

### isOptimizedDrawingEnabled

    public boolean isOptimizedDrawingEnabled()

  Maps `JComponent.isOptimizedDrawingEnabled()` through queue

### isPaintingTile

    public boolean isPaintingTile()

  Maps `JComponent.isPaintingTile()` through queue

### isRequestFocusEnabled

    public boolean isRequestFocusEnabled()

  Maps `JComponent.isRequestFocusEnabled()` through queue

### isValidateRoot

    public boolean isValidateRoot()

  Maps `JComponent.isValidateRoot()` through queue

### paintImmediately

    public void paintImmediately(int i,
                                 int i1,
                                 int i2,
                                 int i3)

  Maps `JComponent.paintImmediately(int, int, int, int)` through queue

### paintImmediately

    public void paintImmediately(java.awt.Rectangle rectangle)

  Maps `JComponent.paintImmediately(Rectangle)` through queue

### putClientProperty

    public void putClientProperty(java.lang.Object object,
                                  java.lang.Object object1)

  Maps `JComponent.putClientProperty(Object, Object)` through queue

### registerKeyboardAction

    public void registerKeyboardAction(java.awt.event.ActionListener actionListener,
                                       java.lang.String string,
                                       javax.swing.KeyStroke keyStroke,
                                       int i)

  Maps `JComponent.registerKeyboardAction(ActionListener, String, KeyStroke, int)` through queue

### registerKeyboardAction

    public void registerKeyboardAction(java.awt.event.ActionListener actionListener,
                                       javax.swing.KeyStroke keyStroke,
                                       int i)

  Maps `JComponent.registerKeyboardAction(ActionListener, KeyStroke, int)` through queue

### removeAncestorListener

    public void removeAncestorListener(javax.swing.event.AncestorListener ancestorListener)

  Maps `JComponent.removeAncestorListener(AncestorListener)` through queue

### removeVetoableChangeListener

    public void removeVetoableChangeListener(java.beans.VetoableChangeListener vetoableChangeListener)

  Maps `JComponent.removeVetoableChangeListener(VetoableChangeListener)` through queue

### repaint

    public void repaint(java.awt.Rectangle rectangle)

  Maps `JComponent.repaint(Rectangle)` through queue

### requestDefaultFocus

    public boolean requestDefaultFocus()

  Maps `JComponent.requestDefaultFocus()` through queue

### resetKeyboardActions

    public void resetKeyboardActions()

  Maps `JComponent.resetKeyboardActions()` through queue

### revalidate

    public void revalidate()

  Maps `JComponent.revalidate()` through queue

### scrollRectToVisible

    public void scrollRectToVisible(java.awt.Rectangle rectangle)

  Maps `JComponent.scrollRectToVisible(Rectangle)` through queue

### setAlignmentX

    public void setAlignmentX(float f)

  Maps `JComponent.setAlignmentX(float)` through queue

### setAlignmentY

    public void setAlignmentY(float f)

  Maps `JComponent.setAlignmentY(float)` through queue

### setAutoscrolls

    public void setAutoscrolls(boolean b)

  Maps `JComponent.setAutoscrolls(boolean)` through queue

### setBorder

    public void setBorder(javax.swing.border.Border border)

  Maps `JComponent.setBorder(Border)` through queue

### setDebugGraphicsOptions

    public void setDebugGraphicsOptions(int i)

  Maps `JComponent.setDebugGraphicsOptions(int)` through queue

### setDoubleBuffered

    public void setDoubleBuffered(boolean b)

  Maps `JComponent.setDoubleBuffered(boolean)` through queue

### setMaximumSize

    public void setMaximumSize(java.awt.Dimension dimension)

  Maps `JComponent.setMaximumSize(Dimension)` through queue

### setMinimumSize

    public void setMinimumSize(java.awt.Dimension dimension)

  Maps `JComponent.setMinimumSize(Dimension)` through queue

### setNextFocusableComponent

    public void setNextFocusableComponent(java.awt.Component component)

  Maps `JComponent.setNextFocusableComponent(Component)` through queue

### setOpaque

    public void setOpaque(boolean b)

  Maps `JComponent.setOpaque(boolean)` through queue

### setPreferredSize

    public void setPreferredSize(java.awt.Dimension dimension)

  Maps `JComponent.setPreferredSize(Dimension)` through queue

### setRequestFocusEnabled

    public void setRequestFocusEnabled(boolean b)

  Maps `JComponent.setRequestFocusEnabled(boolean)` through queue

### setToolTipText

    public void setToolTipText(java.lang.String string)

  Maps `JComponent.setToolTipText(String)` through queue

### unregisterKeyboardAction

    public void unregisterKeyboardAction(javax.swing.KeyStroke keyStroke)

  Maps `JComponent.unregisterKeyboardAction(KeyStroke)` through queue

### updateUI

    public void updateUI()

  Maps `JComponent.updateUI()` through queue

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD